- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cs_pod – Manages pods on Apache CloudStack based clouds

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Create, update, delete pods.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- cs >= 0.6.10

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_http_method string | Choices: get post | HTTP method used to query the API endpoint. If not given, the `CLOUDSTACK_METHOD` env variable is considered. As the last option, the value is taken from the ini config file, also see the notes. Fallback value is `get` if not specified.
api_key string |  | API key of the CloudStack API. If not given, the `CLOUDSTACK_KEY` env variable is considered. As the last option, the value is taken from the ini config file, also see the notes.
api_region string | Default: "cloudstack" | Name of the ini section in the `cloustack.ini` file. If not given, the `CLOUDSTACK_REGION` env variable is considered.
api_secret string |  | Secret key of the CloudStack API. If not set, the `CLOUDSTACK_SECRET` env variable is considered. As the last option, the value is taken from the ini config file, also see the notes.
api_timeout integer |  | HTTP timeout in seconds. If not given, the `CLOUDSTACK_TIMEOUT` env variable is considered. As the last option, the value is taken from the ini config file, also see the notes. Fallback value is 10 seconds if not specified.
api_url string |  | URL of the CloudStack API e.g. https://cloud.example.com/client/api. If not given, the `CLOUDSTACK_ENDPOINT` env variable is considered. As the last option, the value is taken from the ini config file, also see the notes.
end_ip string |  | Ending IP address for the Pod.
gateway string |  | Gateway for the Pod. Required on state=present
id string |  | uuid of the existing pod.
name string / required |  | Name of the pod.
netmask string |  | Netmask for the Pod. Required on state=present
start_ip string |  | Starting IP address for the Pod. Required on state=present
state string | Choices: present ← enabled disabled absent | State of the pod.
zone string |  | Name of the zone in which the pod belongs to. If not set, default zone is used.

## Notes

Note

- Ansible uses the `cs` library’s configuration method if credentials are not provided by the arguments `api_url`, `api_key`, `api_secret`. Configuration is read from several locations, in the following order. The `CLOUDSTACK_ENDPOINT`, `CLOUDSTACK_KEY`, `CLOUDSTACK_SECRET` and `CLOUDSTACK_METHOD`. `CLOUDSTACK_TIMEOUT` environment variables. A `CLOUDSTACK_CONFIG` environment variable pointing to an `.ini` file. A `cloudstack.ini` file in the current working directory. A `.cloudstack.ini` file in the users home directory. Optionally multiple credentials and endpoints can be specified using ini sections in `cloudstack.ini`. Use the argument `api_region` to select the section name, default section is `cloudstack`. See https://github.com/exoscale/cs for more information.
- A detailed guide about cloudstack modules can be found in the CloudStack Cloud Guide.
- This module supports check mode.

## Examples

    - name: Ensure a pod is present
      cs_pod:
        name: pod1
        zone: ch-zrh-ix-01
        start_ip: 10.100.10.101
        gateway: 10.100.10.1
        netmask: 255.255.255.0
      delegate_to: localhost

    - name: Ensure a pod is disabled
      cs_pod:
        name: pod1
        zone: ch-zrh-ix-01
        state: disabled
      delegate_to: localhost

    - name: Ensure a pod is enabled
      cs_pod:
        name: pod1
        zone: ch-zrh-ix-01
        state: enabled
      delegate_to: localhost

    - name: Ensure a pod is absent
      cs_pod:
        name: pod1
        zone: ch-zrh-ix-01
        state: absent
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
allocation_state string | success | State of the pod. Sample: Enabled
end_ip string | success | Ending IP of the pod. Sample: 10.100.1.254
gateway string | success | Gateway of the pod. Sample: 10.100.1.1
id string | success | UUID of the pod. Sample: 04589590-ac63-4ffc-93f5-b698b8ac38b6
name string | success | Name of the pod. Sample: pod01
netmask string | success | Netmask of the pod. Sample: 255.255.255.0
start_ip string | success | Starting IP of the pod. Sample: 10.100.1.101
zone string | success | Name of zone the pod is in. Sample: ch-gva-2

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]
- This module is maintained by the Ansible Community. [community]

### Authors

- René Moser (@resmo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.